local i=require"luci.model.tasks"
local o=require"luci.model.codeserver"
local a,t,e
a=i.docker_map("codeserver","codeserver","/usr/libexec/istorec/codeserver.sh",
translate("CodeServer"),
translate("CodeServer is a web version of VSCode.")
..translate("Official website:")..' <a href=\"https://coder.com/\" target=\"_blank\">https://coder.com/</a>')
t=a:section(SimpleSection,translate("Service Status"),translate("CodeServer status:"))
t:append(Template("codeserver/status"))
t=a:section(TypedSection,"main",translate("Setup"),translate("The following parameters will only take effect during installation or upgrade:"))
t.addremove=false
t.anonymous=true
e=t:option(Value,"http_port",translate("HTTP Port").."<b>*</b>")
e.default="8085"
e.datatype="string"
e=t:option(Value,"image_name",translate("Image").."<b>*</b>")
e.rmempty=false
e.datatype="string"
e:value("lscr.io/linuxserver/code-server:latest","lscr.io/linuxserver/code-server:latest")
e:value("lscr.io/linuxserver/code-server:4.8.3","lscr.io/linuxserver/code-server:4.8.3")
e.default="lscr.io/linuxserver/code-server:latest"
local i=o.blocks()
local n=o.home()
e=t:option(Value,"config_path",translate("Config path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
local i,o=o.find_paths(i,n,"Configs")
for a,t in pairs(i)do
e:value(t,t)
end
e.default=o
e=t:option(Value,"env_password","PASSWORD")
e.password=true
e.datatype="string"
e=t:option(Value,"env_hashed_password","HASHED_PASSWORD")
e.datatype="string"
e.password=true
e=t:option(Value,"env_sudo_password","SUDO_PASSWORD")
e.password=true
e.datatype="string"
e=t:option(Value,"env_sudo_password_hash","SUDO_PASSWORD_HASH")
e.password=true
e.datatype="string"
e=t:option(Value,"env_proxy_domain","PROXY_DOMAIN")
e.datatype="string"
return a
